Package org.eclipse.emf.cdo.spi.common.branch

## Interface InternalCDOBranchManager.BranchLoader5

- All Superinterfaces:
    `InternalCDOBranchManager.BranchLoader`, `InternalCDOBranchManager.BranchLoader2`, `InternalCDOBranchManager.BranchLoader3`, `InternalCDOBranchManager.BranchLoader4`
  All Known Subinterfaces:
    `CDOSessionProtocol`, `InternalFailoverParticipant`, `InternalRepository`, `InternalSynchronizableRepository`
  Enclosing interface:
    InternalCDOBranchManager

      public static interface InternalCDOBranchManager.BranchLoader5
      extends InternalCDOBranchManager.BranchLoader4

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.15
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

      `InternalCDOBranchManager.BranchLoader.BranchInfo, InternalCDOBranchManager.BranchLoader.SubBranchInfo`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

      `NEW_BRANCH, NEW_LOCAL_BRANCH`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOBranch[]` | `deleteBranches​(int branchID, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

      `createBranch, loadBranch, loadBranches, loadSubBranches`

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader2

      `deleteBranch, renameBranch`

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader3

      `renameBranch`

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader4

      `changeTag, loadTags`

- - ### Method Detail

    - #### deleteBranches

          CDOBranch[] deleteBranches​(int branchID,
                                     org.eclipse.net4j.util.om.monitor.OMMonitor monitor)